modules

# Class: passwordService

Source Location: /lib/modules.inc

### Interface Overview

This interface needs to be implemented by all account modules which manage passwords.

### Methods

- managesPasswordAttributes
- passwordChangeRequested

### Class Details

[line 2172]
This interface needs to be implemented by all account modules which manage passwords.

It allows LAM to provide central password changes.

[ Top ]

### Class Methods

### method managesPasswordAttributes [line 2181]

`boolean managesPasswordAttributes( )`

This method specifies if a module manages password attributes. The module alias will then appear as option in the GUI.

If the module only wants to get notified about password changes then return false.

#### Tags:

return: | true if this module manages password attributes
access: | public

[ Top ]

### method passwordChangeRequested [line 2192]

`array passwordChangeRequested( String $password, $modules $modules)`

This function is called whenever the password should be changed. Account modules must change their password attributes only if the modules list contains their module name.

#### Tags:

return: | list of error messages if any as parameter array for StatusMessage e.g. return arrray(array('ERROR', 'Password change failed.'))
access: | public

#### Parameters:

String | $password | new password
$modules | $modules | list of modules for which the password should be changed

[ Top ]

Documentation generated on Thu, 28 Oct 2010 21:00:25 +0200 by phpDocumentor 1.4.1